Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class SourceFile

    java.lang.Object
      au.com.redhillconsulting.simian.SourceFile

    public final class SourceFile

extends java.lang.Object

Represents a source file that was processed.

Version:
  $Id: SourceFile.java 2991 2007-06-06 00:58:48Z haruki_zaemon $
Author:
  Simon Harris

Method Summary
`java.lang.String` | `getExtension()` Obtains the extension (eg "java", "cs", "cpp", etc).
`java.lang.String` | `getFilename()` Obtains the name of the file.
`int` | `getRawLineCount()` Obtains the number of lines in the file including comments, ignored lines, etc.
`int` | `getSignificantLineCount()` Obtains the number of lines in the file excluding comments, ignored lines, etc.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFilename

    public java.lang.String getFilename()

  Obtains the name of the file.

  Returns:
    The file name.

### getExtension

    public java.lang.String getExtension()

  Obtains the extension (eg "java", "cs", "cpp", etc).

  Returns:
    The extension.

### getRawLineCount

    public int getRawLineCount()

  Obtains the number of lines in the file including comments, ignored lines, etc.

  Returns:
    The raw line count.

### getSignificantLineCount

    public int getSignificantLineCount()

  Obtains the number of lines in the file excluding comments, ignored lines, etc.

  Returns:
    The significant line count.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.